#include <bits/stdc++.h>
using namespace std;
#define ll long long
const ll mod=1e9+7;
int main()
{
    ll n;
    scanf("%lld",&n);
    ll x[n+1],y[n+1];
    ll res[n+1]={0};
    ll xmn=1e9+50,xmaks=-1e9-50,ymn=1e9+50,ymaks=-1e9-50;
    for(ll i=1;i<=n;i++)
    {
        scanf("%lld%lld",&x[i],&y[i]);
        xmn=min(xmn,x[i]);
        xmaks=max(xmaks,x[i]);
        ymn=min(ymn,y[i]);
        ymaks=max(ymaks,y[i]);
        ll temp=0;
        for(ll j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmn)*(y[j]-ymn));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(ll j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmaks)*(y[j]-ymn));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(ll j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmn)*(y[j]-ymaks));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(ll j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmaks)*(y[j]-ymaks));
        }
        res[i]=max(res[i],temp);
        res[i]%=mod;
    }
    for(ll i=1;i<=n;i++)
    {
        printf("%lld\n",res[i]);
    }
    return 0;
}